###############################################################################
## Societe      : 4JS
## Programme    : debug.tcl
## Date         : 04/06/1995
## Version      : 1.20.1a
##
## Titre        : Debug of function and calling in TCL/TK
##                replace the keyword proc by "procdebug"
##
###############################################################################
set ReadDebug 1
set levelproc -1
if { "[ info procs proc ]" == "" } {
  rename proc tclproc
}
if { ! [ info exist debugon ] } {
  if { [catch {set debugon $env(FGLDEBUGON)} ] } {
    set debugon 0
  }
}

tclproc proc {  name arg body } {
  global debugon

  if { $debugon && [ string compare $name debug ] } {
  set value "GUI:---Dec $name \{ "
  set listarg ""
  set currarg ""
  set with_uplevel ""
  foreach a $arg {
    set value "$value \{$a\}"
    set currname [lindex $a 0]
    if { ! [ string compare $currname args ] } {
       set with_uplevel uplevel
    }
    set listarg "$listarg $currname \{\[set [lindex $a 0]\]\}"
    set currarg "$currarg \[set $currname\]"
  }
  if [ string match "*upvar*" $body ] {
     set with_uplevel uplevel
  }
  puts -nonewline stderr "$value \}"

  set newproc "tclproc ${name}debug { $arg } { $body }"
# puts stderr "newproc: $newproc"
  uplevel [ eval $newproc ]
  set newproc "tclproc ${name} { $arg } { \
          global debugon levelproc ;\
          incr levelproc ;\
          if { \$debugon } { \
            puts stderr  \"GUI:\[ blank \$levelproc\]$name \{ $listarg \}\"; \
            flush stderr; \
          }; \
	  set ret \[catch \{ $with_uplevel ${name}debug $currarg\} Mess\]; \
          if { \$ret } { \
            puts stderr \"\"; \
            puts stderr \"###########################\"; \
            puts stderr \"## GUIERROR in $name: \$Mess\"; \
            puts stderr \"###########################\"; \
          }; \
          incr levelproc -1; \
	  return \$Mess; \
          }"
# puts stderr "debugproc: $newproc"
  uplevel [ eval $newproc ]
  puts stderr "---"
  } {
  set newproc "tclproc $name { $arg } { $body }"
  uplevel [ eval $newproc ]
  }
}
tclproc blank { num } {

  set blk ""
  for {set i 0} { $i < $num } { incr i } { 
    set blk "$blk "
  }
  return $blk
}
