###############################################################################
## Company      : 4JS
## Program      : fglddedummy.4gl
## Date         : 09/01/1997
## Version      : 1.00
##
## Title        : Dummy functions for compatibility with Informix
###############################################################################

  
###############################################################################
##                                  GLOBALS
###############################################################################
GLOBALS

  DEFINE err_flag SMALLINT,
         err_mess CHAR(1024)

END GLOBALS

###############################################################################
##                                  FUNCTION
###############################################################################

################################################################################
## FUNCTION WinExec : Start a program in Windows side
## Parameters :
##  progname:  Program name with or without absolute path
##             Be careful with banalisation.
##             example: "C:\\\\WINWORD\\\\WINWORD.EXE"
## Returnings :
##  TRUE if OK else FALSE then see err_mess
################################################################################

FUNCTION WinExec(progname)

  DEFINE progname CHAR(256)


  RETURN TRUE
    
END FUNCTION #WinExec

################################################################################
## FUNCTION DDEConnect : Make the DDE connexion for Word
## Parameters :
##  progname : Program where do you want DDE connexion
##             example: WINWORD, EXCEL
##  docname  : Name of the current document to proceed or "System",
##             without any path
##             To manage all the program, docname="System"
##             In German, first document is Dokument1
## Both parameters determines a unique identificator
## Returnings :
##  TRUE if OK else FALSE then see errmess
################################################################################

FUNCTION DDEConnect(progname,docname)

  DEFINE progname  CHAR(128),
         docname   CHAR(128)

  RETURN TRUE

END FUNCTION

################################################################################
## FUNCTION DDEExecute : Execute a command into the Windows program
## Parameters :
##  progname  : Program name
##  docname   : document name or "System"
##  execcmd   : Command to execute
##              Be careful with banalisation.
## Returnings :
##  TRUE if OK else FALSE then see errmess
################################################################################

FUNCTION DDEExecute(progname,docname,execcmd)

  DEFINE progname  CHAR(128),
         docname   CHAR(128),
         execcmd   CHAR(2048)

  RETURN TRUE

END FUNCTION

################################################################################
## FUNCTION DDEPoke : Put values into Windows program
## Parameters :
##  progname  : Program name
##  docname   : document name or "System"
##  cells     : Cells to fill
##              by ex: R1C1:R2C12 fills cell A1,A2,...,A12,B1,B2,...,B12
##		format:
##                in German : Z#S#:Z#S# ( # represents numbers )
##                in English: R#C#:R#C#
##                in French : L#C#:L#C#
##  values    : values of cells separate with "\t"
##              by ex: "12\\t13\\t14"
##              Be careful with banalisation.
## Returnings :
##  TRUE if OK else FALSE then see errmess
################################################################################

FUNCTION DDEPoke(progname,docname,cells,values)

  DEFINE progname  CHAR(128),
         docname   CHAR(128),
         cells     CHAR(128),
         values    CHAR(8192)

  RETURN TRUE

END FUNCTION

################################################################################
## FUNCTION DDEPeek : get data from Windows program
## Parameters :
##  progname  : Program name
##  docname   : document name or "System"
##  cells     : Cells to fill
##              by ex: R1C1:R2C12 fills cell A1,A2,...,A12,B1,B2,...,B12
##		format:
##                in German : Z#S#:Z#S# ( # represents numbers )
##                in English: R#C#:R#C#
##                in French : L#C#:L#C#
## Returnings :
##  values    : Return values from application
################################################################################

FUNCTION DDEPeek(progname,docname,cells)

  DEFINE progname  CHAR(128),
         docname   CHAR(128),
         cells     CHAR(128)
  DEFINE cmd       CHAR(10)

  LET cmd = NULL
  RETURN cmd

END FUNCTION

################################################################################
## FUNCTION DDEFinish : Terminate a DDE connexion
## Parameters :
##  progname  : Program name
##  docname   : document name or "System"
## Returnings :
##  TRUE if OK else FALSE then see errmess
################################################################################

FUNCTION DDEFinish(progname,docname)

  DEFINE progname  CHAR(128),
         docname   CHAR(128)

  RETURN TRUE

END FUNCTION

################################################################################
## FUNCTION DDEFinishAll : Terminate all DDE connexion
## Parameters :
##  none
## Returnings :
##  none
################################################################################

FUNCTION DDEFinishAll()

END FUNCTION

################################################################################
## FUNCTION DDESeterror: put the error message in a global variable
## Parameters :
##  none
## Returnings :
##  none
################################################################################

FUNCTION DDESeterror()

END FUNCTION


################################################################################
## FUNCTION DDEGeterror: return the error message 
## Parameters :
##  none
## Returnings :
##  none
################################################################################

FUNCTION DDEGeterror()

  DEFINE cmd CHAR(10)

  LET cmd = NULL
  RETURN cmd

END FUNCTION
